apiVersion: networking.istio.io/v1alpha3
kind: Gateway
metadata:
  name: kubeflow-gateway
  namespace: kubeflow
spec:
  selector:
    istio: ingressgateway
  servers:
  - hosts:
    - '{{kubeflow.url}}'
    port:
      name: http
      number: 80
      protocol: HTTP
#    tls:
#      httpsRedirect: true
  - hosts:
    - '{{kubeflow.url}}'
    port:
      name: https
      number: 443
      protocol: HTTPS
    tls:
      credentialName: kubeflow-ingressgateway-certs
      mode: SIMPLE